Search the Community
Showing results for tags 'favorite'.
-
I thought it would be interesting to get a thread going about your favorite lisp. As I've been frequenting this forum, my list of lisps is ever-growing. I have some I think are excellent for what I do (steel detailer) but I wonder what is your favorite lisp? Maybe post here with a brief description and what you do? I always wonder if I may be just ultra lazy or if I just like to see how fast I can get s#!t done! Mine would be one of the most recent. This dimension lisp allows you to enter a dim and afterward changes it to a "?" and envokes the revcloud function and then returns you to your previous layer. I have multiple copies of this for different uses/layers/dimstyles/dimangular. In my work, this has become a huge time saver! Big thanks to "lamensterms" for helping me out with it. -Nobull (DEFUN C:D1 () (command ".dimstyle" "R" "YOUR DIMSTYLE HERE") (setq LAYOR (getvar "CLAYER")) (COMMAND "CLAYER" "YOUR LAYER HERE") (setq ocmd (getvar "CMDECHO")) (setvar "cmdecho" 1) (command "dimlinear" pause pause pause) (setvar "cmdecho" 0) (command "dimedit" "n" "?" "L" "") (setvar "CMDECHO" ocmd) (COMMAND "CLAYER" "YOUR LAYER HERE") (setq p1(getpoint "\nPick first corner of window: ")) (setq p2(getcorner p1 "\nOpposite corner: ")) (setvar "plinewid" 0) (command "rectang" p1 p2) (command "REVCLOUD" "O" (entlast) "N") (setvar "CLAYER" LAYOR) (PRINC) )